Save delegation credentials for your organization
curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/delegation-credentials \
--header 'Content-Type: application/json' \
--data '
{
"workspacePlatformSlug": "<string>",
"domain": "<string>",
"serviceAccountKey": [
{
"private_key": "<string>",
"client_email": "<string>",
"client_id": "<string>"
}
]
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials"
payload = {
"workspacePlatformSlug": "<string>",
"domain": "<string>",
"serviceAccountKey": [
{
"private_key": "<string>",
"client_email": "<string>",
"client_id": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
workspacePlatformSlug: '<string>',
domain: '<string>',
serviceAccountKey: [{private_key: '<string>', client_email: '<string>', client_id: '<string>'}]
})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/delegation-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "<string>",
"enabled": true,
"domain": "<string>",
"organizationId": 123,
"workspacePlatform": {
"name": "<string>",
"slug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Delegation Credentials
Save delegation credentials for your organization
Required membership role: org admin. PBAC permission: organization.update. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
POST
/
v2
/
organizations
/
{orgId}
/
delegation-credentials
Save delegation credentials for your organization
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
Body
application/json
Was this page helpful?
⌘I